/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { h } from "@stencil/core";
import cn from "../../../global/lib/cn";
export const FormInputPrefix = ({ direction, prefix, name }) => {
    if (!prefix)
        return false;
    return (h("div", { dir: direction, class: cn('form-input-prefix', {
            [`${name}-prefix`]: !!name,
        }), part: cn('form-input-prefix', {
            [`${name}-prefix`]: !!name,
        }) }, prefix));
};
